Prosody IM

Component main

The main component contains all Prosody packages.

Packages in this component

libevent
Version1.4.13-stable-1~bpo50
libevent-1.4-2
DescriptionAn asynchronous event notification library (More...)

The libevent API provides a mechanism to execute a callback function when a specific event occurs on a file descriptor or after a timeout has been reached.

libevent is meant to replace the asynchronous event loop found in event driven network servers. Currently, libevent supports /dev/poll, kqueue(2), event ports, select(2), poll(2) and epoll(4).

For backward compatibility and to transition to libevent_core only or libevent_core and libevent_extra, the libevent source package builds the libevent library that includes everything in libevent_core and libevent_extra.

Packagelibevent-1.4-2_1.4.13-stable-1~bpo50+1_amd64.deb
Packagelibevent-1.4-2_1.4.13-stable-1~bpo50+1_i386.deb
libevent-core-1.4-2
DescriptionAn asynchronous event notification library (core) (More...)

The libevent API provides a mechanism to execute a callback function when a specific event occurs on a file descriptor or after a timeout has been reached.

libevent is meant to replace the asynchronous event loop found in event driven network servers. Currently, libevent supports /dev/poll, kqueue(2), event ports, select(2), poll(2) and epoll(4).

The libevent_core library includes event loops, timers, buffer code, and various small compatibility functions.

If you're writing software that only uses libevent's event loop, you should link against only the libevent_core library.

Packagelibevent-core-1.4-2_1.4.13-stable-1~bpo50+1_i386.deb
Packagelibevent-core-1.4-2_1.4.13-stable-1~bpo50+1_amd64.deb
libevent-dev
DescriptionDevelopment libraries, header files and docs for libevent (More...)

Contains the header files, documentation, examples and static libraries for use in developing applications that use the libevent library.

The libevent library is an asynchronous event notification library that provides a mechanish to execute a callback function when a specific event occurs on a file descriptor or after a timeout has been reached.

Packagelibevent-dev_1.4.13-stable-1~bpo50+1_i386.deb
Packagelibevent-dev_1.4.13-stable-1~bpo50+1_amd64.deb
libevent-extra-1.4-2
DescriptionAn asynchronous event notification library (extra) (More...)

The libevent API provides a mechanism to execute a callback function when a specific event occurs on a file descriptor or after a timeout has been reached.

libevent is meant to replace the asynchronous event loop found in event driven network servers. Currently, libevent supports /dev/poll, kqueue(2), event ports, select(2), poll(2) and epoll(4).

The libevent_extra library includes code for HTTP, DNS, RPC, and so on.

If you're writing software that uses libevent's protocol support, you need to link libevent_core and libevent_extra as well.

Packagelibevent-extra-1.4-2_1.4.13-stable-1~bpo50+1_amd64.deb
Packagelibevent-extra-1.4-2_1.4.13-stable-1~bpo50+1_i386.deb
liblua5.1-sec0
Version0.3.2-2prosody1 (changes)
liblua5.1-sec0 (0.3.2-2prosody1) jaunty; urgency=low
  • Fix bug in package which didn't install the library
Source (.dsc)liblua5.1-sec0_0.3.2-2prosody1.dsc
Source (orig.tar.gz)liblua5.1-sec0_0.3.2.orig.tar.gz
Source (.diff.gz)liblua5.1-sec0_0.3.2-2prosody1.diff.gz
liblua5.1-sec0
DescriptionTLS/SSL support for Lua (More...)

LuaSec is a binding for OpenSSL library to provide TLS/SSL communication.

Packageliblua5.1-sec0_0.3.2-2prosody1_i386.deb
Packageliblua5.1-sec0_0.3.2-2prosody1_amd64.deb
lua-cyrussasl
Version1.0.0
liblua5.1-cyrussasl0
DescriptionCyrus SASL support for Lua (More...)

lua-cyrussasl provides an interface to Cyrus SASL from Lua.

Packageliblua5.1-cyrussasl0_1.0.0_amd64.deb
Packageliblua5.1-cyrussasl0_1.0.0_i386.deb
lua-sec
Version0.3-1
liblua5.1-sec0
DescriptionSSL socket library for the lua language version 5.1 (More...)

This package contains the luasec library, that adds on top of the luasocket library SSL support.

Packageliblua5.1-sec0_0.3-1_i386.deb
lua-zlib
Version0.0.1-1
lua-zlib
DescriptionSimple streaming interface to zlib for Lua (More...)

Provides stream compression/decompression facilities to Lua using the zlib compression library.

Packagelua-zlib_0.0.1-1_amd64.deb
Packagelua-zlib_0.0.1-1_i386.deb
luadbi
Version0.6-0~svn2
liblua5.1-dbi0
DescriptionDatabase interface library (More...)

A database interface library for Lua that provides support for MySQL, PostgreSQL and SQLite3.

Packageliblua5.1-dbi0_0.6-0~svn2_i386.deb
Packageliblua5.1-dbi0_0.6-0~svn2_amd64.deb
luaevent-prosody
Version0.1.1-1
liblua5.1-event-prosody0
Descriptionlibevent support for Lua (More...)

LuaEvent provides Lua access to libevent, an asynchronous event notification library.

Packageliblua5.1-event-prosody0_0.1.1-1_i386.deb
Packageliblua5.1-event-prosody0_0.1.1-1_amd64.deb
prosody
Version0.8.2-1
prosody
DescriptionLightweight Jabber/XMPP server (More...)

Prosody IM is a simple-to-use XMPP server. It is designed to be easy to extend via plugins, and light on resources.

Packageprosody_0.8.2-1_i386.deb
Packageprosody_0.8.2-1_amd64.deb
prosody-0.6
Version3-1~nightly86
prosody-0.6
DescriptionLightweight Jabber/XMPP server (More...)

Prosody IM is a simple-to-use XMPP server. It is designed to be easy to extend via plugins, and light on resources.

Packageprosody-0.6_3-1~nightly86_i386.deb
Packageprosody-0.6_3-1~nightly86_amd64.deb
prosody-0.7
Version1-1~nightly87
prosody-0.7
DescriptionLightweight Jabber/XMPP server (More...)

Prosody IM is a simple-to-use XMPP server. It is designed to be easy to extend via plugins, and light on resources.

Packageprosody-0.7_1-1~nightly87_i386.deb
Packageprosody-0.7_1-1~nightly87_amd64.deb
prosody-0.8
Version3-1~nightly48
prosody-0.8
DescriptionLightweight Jabber/XMPP server (More...)

Prosody IM is a simple-to-use XMPP server. It is designed to be easy to extend via plugins, and light on resources.

Packageprosody-0.8_3-1~nightly48_i386.deb
Packageprosody-0.8_3-1~nightly48_amd64.deb
prosody-0.9
Version1-1~nightly114
prosody-0.9
DescriptionLightweight Jabber/XMPP server (More...)

Prosody IM is a simple-to-use XMPP server. It is designed to be easy to extend via plugins, and light on resources.

Packageprosody-0.9_1-1~nightly114_amd64.deb
Packageprosody-0.9_1-1~nightly114_i386.deb
prosody-dev
Version0.8.0-5hg5283
prosody-dev
DescriptionLightweight Jabber/XMPP server written in Lua (More...)

Prosody IM is a simple-to-use XMPP server. It is designed to be easy to extend via plugins, and light on resources.

This package is a development build from http://prosody.im/source/hg and does not form part of an official, tested, release.

Please report issues at http://prosody.im/bugs/

Packageprosody-dev_0.8.0-5hg5283_amd64.deb
prosody-trunk
Version1-1~nightly352
prosody-trunk
DescriptionLightweight Jabber/XMPP server (More...)

Prosody IM is a simple-to-use XMPP server. It is designed to be easy to extend via plugins, and light on resources.

Packageprosody-trunk_1-1~nightly352_amd64.deb
Packageprosody-trunk_1-1~nightly352_i386.deb
Generated by Falcon 2.0.5 ©2005-2008 Dennis Kaarsemaker